Subject: [Tigers] Radiators

From: H B Elam via Tigers <[email-masked]>
Date: Fri, 2 Jul 2021 17:15:53 -0400

My 2 cents.  
While in Long Beach, CA in early 90’s I had a radiator shop recore a spare stock radiator with the fin package for fork trucks. Worked great for years. By that I mean that the temp gauge could go above 200F but it never puked. For the last five or so years I have been running a Griffins Aluminum. The company REQUIRES that you use premixed 50-50 antifreeze-water. I have been in a stop and go parade for over two hours without boil over. The temp gauge did show over 210F but no boil over. As soon as I could get up to speed temp immediately dropped to 190F. On the road, top down, any speed the temp gauge needle partially covers the “2” of 200F. My engine builder wanted the engine to run at 190K. 
B382000471
TAC#37
_______________________________________________

[email-masked]

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/tigers http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]